### Method

# SpiceClientGtk Display send_keys

#### Declaration [src]

    void
    spice_display_send_keys (
      SpiceDisplay* display,
      const guint* keyvals,
      int nkeyvals,
      SpiceDisplayKeyEvent kind
    )

#### Description [src]

Send keyval press/release events to the display.

#### Parameters

`keyvals`

  Type: An array of `guint`

  Keyval array.

  The length of the array is specified in the `nkeyvals` argument.
  The data is owned by the caller of the method.

`nkeyvals`

  Type: `int`

  Length of keyvals.

`kind`

  Type: `SpiceDisplayKeyEvent`

  `SpiceDisplayKeyEvent` action.